> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open-aspm.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify Allowlist



## OpenAPI

````yaml api-reference/openapi.json put /whitelist/{whitelist_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://example.com/api
    description: Replace example.com with your app server
security: []
paths:
  /whitelist/{whitelist_id}:
    put:
      tags:
        - Allowlist
      summary: Modify Allowlist
      operationId: modify_whitelist_whitelist__whitelist_id__put
      parameters:
        - name: whitelist_id
          in: path
          required: true
          schema:
            type: integer
            title: Whitelist Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WhitelistUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhitelistUpdateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WhitelistUpdate:
      properties:
        type:
          anyOf:
            - $ref: '#/components/schemas/WhiteListType'
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
        global_:
          anyOf:
            - type: boolean
            - type: 'null'
          title: 'Global '
        repos:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Repos
        vcs:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Vcs
        comment:
          type: string
          title: Comment
      type: object
      title: WhitelistUpdate
    WhitelistUpdateResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          default: ''
        created_by:
          type: integer
          title: Created By
        updated_by:
          type: integer
          title: Updated By
        secrets_updated:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secrets Updated
        vulnerabilities_updated:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vulnerabilities Updated
        created_on:
          type: string
          format: date-time
          title: Created On
        comments:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Comments
          default: []
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          default: ''
      type: object
      required:
        - id
        - created_by
        - updated_by
        - created_on
      title: WhitelistUpdateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WhiteListType:
      type: string
      enum:
        - SECRET
        - VULNERABILITY
      title: WhiteListType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````